%define with_doc 1

Summary:	Yet oneOther Document Language
Name:		yodl
Version:	3.00.0
Release:	%mkrel 2
License:	GPLv3
Group:		Publishing
URL:		http://yodl.sourceforge.net/
Source:		http://sourceforge.net/projects/yodl/files/yodl/3.00.0/yodl_3.00.0.orig.tar.xz
# patch to compile with our %%optflags
Patch0:		yodl-compile-flags.patch
Patch1:		yodl-CVE-2016-10375.patch
BuildRequires:	icmake
%if %with_doc
BuildRequires:	texlive
BuildRequires:	texlive-texmf
%endif

%description
Yodl is a package that implements a pre-document language and tools to
process it. The idea of Yodl is that you write up a document in a
pre-language, then use the tools (e.g. yodl2html) to convert it to some
final document language. Current converters are for HTML, ms, man, LaTeX
SGML and texinfo, plus a poor-man's text converter. Main document types are
"article", "report", "book" and "manpage". The Yodl document language is
designed to be easy to use and extensible.

%if %with_doc
%package doc
Summary: %{name} documentation package
Group: Documentation

%description doc
This package contains the yold documentation files.
%endif

%prep
%setup -q
%apply_patches

%build
./build programs
./build man

%if %with_doc
./build manual
%endif

./build macros

%install
./build install programs %{buildroot}
./build install man      %{buildroot}
%if %with_doc
./build install manual   %{buildroot}
%endif
./build install macros   %{buildroot}

%if %with_doc

# fix encoding
pushd tmp/install/usr/share/doc/yodl-doc/
for i in yodl.txt yodl.latex; do
  iconv -f ISO-8859-1 -t UTF8 $i -o $i-utf-8;
  mv -f $i-utf-8 $i;
done

# we'll %%doc these ones
rm -f %{buildroot}%{_docdir}/yodl-doc/{AUTHORS.txt,CHANGES,changelog}
%endif

%files
%doc AUTHORS.txt CHANGES changelog LICENSE README.3.00.0 README.txt
%{_bindir}/yodl
%{_bindir}/yodl2html
%{_bindir}/yodl2latex
%{_bindir}/yodl2man
%{_bindir}/yodl2txt
%{_bindir}/yodl2whatever
%{_bindir}/yodl2xml
%{_bindir}/yodlpost
%{_bindir}/yodlstriproff
%{_bindir}/yodlverbinsert
%{_mandir}/man1/yodl.1.*
%{_mandir}/man1/yodl2html.1.*
%{_mandir}/man1/yodl2latex.1.*
%{_mandir}/man1/yodl2man.1.*
%{_mandir}/man1/yodl2txt.1.*
%{_mandir}/man1/yodl2whatever.1.*
%{_mandir}/man1/yodl2xml.1.*
%{_mandir}/man1/yodlconverters.1.*
%{_mandir}/man1/yodlpost.1.*
%{_mandir}/man1/yodlstriproff.1.*
%{_mandir}/man1/yodlverbinsert.1.*
%{_mandir}/man7/yodlbuiltins.7.*
%{_mandir}/man7/yodlletter.7.*
%{_mandir}/man7/yodlmacros.7.*
%{_mandir}/man7/yodlmanpage.7.*
%{_datadir}/yodl/

%if %with_doc
%files doc
%{_docdir}/yodl-doc/
%endif


%changelog
* Sun Sep 17 2017 bb2 <bb2> 3.00.0-2pclos2017
- rebuild for new gcc
